const csvStringifySync = require("csv-stringify/lib/sync")
const numeral = require("numeral")

const data = [
    {
        "Strings": "A description, with a comma.",
        "Numbers": numeral(1234.34).format("0,0.00"),
        "Booleans": false,
        "Other": "omitted"
    }
]

const opts = {
    cast: {
        "boolean": val => val.toString()
    },
    columns: [ "Strings", "Numbers", "Booleans" ],
    header: true
}

const result = csvStringifySync(data, opts)

result;

const csvParseSync = require("csv-parse/lib/sync")
const records = csvParseSync(result)
records[0].indexOf("Other") < 0;

module.exports.endpoint = (_, res) => res.end(result) ;
